Package org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver

# Class FallbackClassLevelClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver.FallbackClassLevelClient

@RequestScoped @Retry(maxRetries=1) public class FallbackClassLevelClient extends Object
A client to demonstrate the fallback after doing the maximum retries

Author:
  Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`FallbackClassLevelClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingServiceA()`
`int`
`getCounterForInvokingServiceB()`
`String`
`serviceA()`
`String`
`serviceB()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackClassLevelClient

public FallbackClassLevelClient()

## Method Details

### getCounterForInvokingServiceA

public int getCounterForInvokingServiceA()

### getCounterForInvokingServiceB

public int getCounterForInvokingServiceB()

### serviceA

@Fallback(StringFallbackHandler.class) public String serviceA()

### serviceB

@Retry(maxRetries=2) @Fallback(SecondStringFallbackHandler.class) public String serviceB()